Boomi API Control Plane REST API (MCP Registry) - Registries
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get a sub-registry by ID
Get a sub-registry by its ID.
Authorizations:
path Parameters
| id required | string <uuid> Identifier of the target sub-registry. |
Responses
Response Schema: application/json
| name required | string [ 0 .. 255 ] characters Name of the registry |
| uuid | string <uuid> Unique identifier for the registry |
| description | string [ 0 .. 2000 ] characters Description of the registry |
| createdAt | string <date-time> Timestamp when the registry was created |
| updatedAt | string <date-time> Timestamp when the registry was last updated |
| isDefault | boolean |
Response samples
- 200
{- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "name": "My Registry",
- "description": "A collection of MCP servers",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "isDefault": true
}Update a sub-registry
Update a sub-registry. The path UUID takes precedence over any UUID included in the request body. Restricted to MCP Registry admin users.
Authorizations:
path Parameters
| id required | string <uuid> Identifier of the target sub-registry. |
Request Body schema: application/jsonrequired
| name required | string [ 0 .. 255 ] characters Name of the registry |
| description | string [ 0 .. 2000 ] characters Description of the registry |
| isDefault | boolean |
Responses
Response Schema: application/json
| name required | string [ 0 .. 255 ] characters Name of the registry |
| uuid | string <uuid> Unique identifier for the registry |
| description | string [ 0 .. 2000 ] characters Description of the registry |
| createdAt | string <date-time> Timestamp when the registry was created |
| updatedAt | string <date-time> Timestamp when the registry was last updated |
| isDefault | boolean |
Request samples
- Payload
{- "name": "My Registry",
- "description": "A collection of MCP servers",
- "isDefault": true
}Response samples
- 200
{- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "name": "My Registry",
- "description": "A collection of MCP servers",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "isDefault": true
}Get all sub-registries for the account
Get all sub-registries for the account. All three system registries are excluded by default. MCP Registry is included when include_default=true.
Authorizations:
query Parameters
| cursor | string Opaque cursor token returned as |
| limit | integer [ 1 .. 100 ] Default: 30 Maximum number of items to return per page. Must be between 1 and 100. |
| search | string Case-insensitive substring match against the server name. |
| include_default | boolean Default: false |
Responses
Response Schema: application/json
Array of objects (RegistryDTO) | |
object (PaginationMetadata) |
Response samples
- 200
{- "registries": [
- {
- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "name": "My Registry",
- "description": "A collection of MCP servers",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "isDefault": true
}
], - "metadata": {
- "offsetStart": 0,
- "nextCursor": "string",
- "page": 0,
- "totalPages": 0,
- "totalElements": 0,
- "limit": 0,
- "count": 0
}
}Create a new sub-registry
Create a new sub-registry. Restricted to MCP Registry admin users.
Authorizations:
Request Body schema: application/jsonrequired
| name required | string [ 0 .. 255 ] characters Name of the registry |
| description | string [ 0 .. 2000 ] characters Description of the registry |
| isDefault | boolean |
Responses
Request samples
- Payload
{- "name": "My Registry",
- "description": "A collection of MCP servers",
- "isDefault": true
}Response samples
- 201
{- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "name": "My Registry",
- "description": "A collection of MCP servers",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "isDefault": true
}